Syntax.Token
Keywords: uk.ac.ic.doc.automed.reps.Syntax.Token class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class Syntax.Token

    java.lang.Object
      uk.ac.ic.doc.automed.reps.Syntax.Token

Enclosing class:
  Syntax

    public static class Syntax.Token

extends java.lang.Object

Field Summary
`static int` | `add`
`static int` | `alternation`
`static int` | `closeScheme`
`static int` | `colon`
`static int` | `comma`
`static int` | `constraint`
`static int` | `construct`
`static int` | `contract`
`static int` | `data_source`
`static int` | `delete`
`static int` | `EOF`
`static int` | `EOL`
`static int` | `extend`
`static int` | `firstCharKeyword`
`static int` | `hdm_constraint`
`static int` | `hdm_edge`
`static int` | `hdm_node`
`static int` | `hdm_none`
`static int` | `hdm_reference`
`static int` | `hyphen`
`static int` | `ident`
`static int` | `identifier`
`static int` | `isKey`
`static int` | `isRoot`
`static java.util.Map` | `keywords`
`static int` | `lastCharKeyword`
`static int` | `lastConstructKeyword`
`static int` | `lastKeyword`
`static int` | `lastModelKeyword`
`static int` | `lastSchemaKeyword`
`static int` | `lastSchemeKeyword`
`static int` | `lastTransformationKeyword`
`static int` | `leftBrace`
`static int` | `leftBracket`
`static int` | `link`
`static int` | `link_nodal`
`static int` | `model`
`static int` | `nodal`
`static int` | `nul`
`static int` | `number`
`double` | `nval`
`static int` | `openScheme`
`static int` | `rename`
`static java.util.Map` | `reverseKeywords`
`static int` | `rightBrace`
`static int` | `rightBracket`
`static int` | `schema`
`static int` | `scheme`
`static int` | `sequence`
`static int` | `string`
`java.lang.String` | `sval`
`static int` | `transformation`
`int` | `type`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public static final int identifier

See Also:
  Constant Field Values

### string

    public static final int string

See Also:
  Constant Field Values

### number

    public static final int number

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### EOL

    public static final int EOL

See Also:
  Constant Field Values

### firstCharKeyword

    public static final int firstCharKeyword

See Also:
  Constant Field Values

### leftBrace

    public static final int leftBrace

See Also:
  Constant Field Values

### rightBrace

    public static final int rightBrace

See Also:
  Constant Field Values

### leftBracket

    public static final int leftBracket

See Also:
  Constant Field Values

### rightBracket

    public static final int rightBracket

See Also:
  Constant Field Values

### hyphen

    public static final int hyphen

See Also:
  Constant Field Values

### comma

    public static final int comma

See Also:
  Constant Field Values

### colon

    public static final int colon

See Also:
  Constant Field Values

### lastCharKeyword

    public static final int lastCharKeyword

See Also:
  Constant Field Values

### nul

    public static final int nul

See Also:
  Constant Field Values

### scheme

    public static final int scheme

See Also:
  Constant Field Values

### isKey

    public static final int isKey

See Also:
  Constant Field Values

### hdm_node

    public static final int hdm_node

See Also:
  Constant Field Values

### hdm_edge

    public static final int hdm_edge

See Also:
  Constant Field Values

### hdm_reference

    public static final int hdm_reference

See Also:
  Constant Field Values

### hdm_constraint

    public static final int hdm_constraint

See Also:
  Constant Field Values

### hdm_none

    public static final int hdm_none

See Also:
  Constant Field Values

### lastSchemeKeyword

    public static final int lastSchemeKeyword

See Also:
  Constant Field Values

### construct

    public static final int construct

See Also:
  Constant Field Values

### nodal

    public static final int nodal

See Also:
  Constant Field Values

### link_nodal

    public static final int link_nodal

See Also:
  Constant Field Values

### link

    public static final int link

See Also:
  Constant Field Values

### constraint

    public static final int constraint

See Also:
  Constant Field Values

### alternation

    public static final int alternation

See Also:
  Constant Field Values

### sequence

    public static final int sequence

See Also:
  Constant Field Values

### isRoot

    public static final int isRoot

See Also:
  Constant Field Values

### lastConstructKeyword

    public static final int lastConstructKeyword

See Also:
  Constant Field Values

### model

    public static final int model

See Also:
  Constant Field Values

### lastModelKeyword

    public static final int lastModelKeyword

See Also:
  Constant Field Values

### schema

    public static final int schema

See Also:
  Constant Field Values

### data_source

    public static final int data_source

See Also:
  Constant Field Values

### openScheme

    public static final int openScheme

See Also:
  Constant Field Values

### closeScheme

    public static final int closeScheme

See Also:
  Constant Field Values

### lastSchemaKeyword

    public static final int lastSchemaKeyword

See Also:
  Constant Field Values

### transformation

    public static final int transformation

See Also:
  Constant Field Values

### add

    public static final int add

See Also:
  Constant Field Values

### delete

    public static final int delete

See Also:
  Constant Field Values

### rename

    public static final int rename

See Also:
  Constant Field Values

### extend

    public static final int extend

See Also:
  Constant Field Values

### contract

    public static final int contract

See Also:
  Constant Field Values

### ident

    public static final int ident

See Also:
  Constant Field Values

### lastTransformationKeyword

    public static final int lastTransformationKeyword

See Also:
  Constant Field Values

### lastKeyword

    public static final int lastKeyword

See Also:
  Constant Field Values

### keywords

    public static final java.util.Map keywords

### reverseKeywords

    public static final java.util.Map reverseKeywords

### type

    public int type

### sval

    public java.lang.String sval

### nval

    public double nval

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD